Support Center

I'm using an older Comics app on an older device, should I merge?

Last Updated: Dec 04, 2015 05:42AM EST
Don't merge unless your device is running Android 2.3 or later or iOS 9 or later. If you are using a device that cannot be updated to the most recent version of Comics app on Fire OS,  Android or iOS, you should not merge. If you DO merge, you won't be able to login to those apps.
 
In the super sad event that you do merge and you’re on one of those older devices, please contact our team at support@comixology.com.
 
c37d9c9e3e95b3d857c13b1c7f52bea1@comixology.desk-mail.com
http://assets0.desk.com/
comixology
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
Invalid characters found
/customer/en/portal/articles/autocomplete